# frozen_string_literal: true

::Devise.stretches = 1

RSpec.configure do |config|
  # ::Devise < 4.2.0
  defined?(::Devise::TestHelpers) &&
    config.include(::Devise::TestHelpers, :type => :controller)

  # ::Devise >= 4.2.0
  defined?(::Devise::Test::ControllerHelpers) &&
    config.include(::Devise::Test::ControllerHelpers, :type => :controller)

  [:system, :feature, :request].each do |type|
    defined?(::Devise::Test::IntegrationHelpers) &&
      config.include(::Devise::Test::IntegrationHelpers, :type => type)
  end
end
