# frozen_string_literal: true

RSpec.configure do |config|
  config.include(::Shoulda::Matchers::ActiveModel,  :type => :model)
  config.include(::Shoulda::Matchers::ActiveRecord, :type => :model)
end

::Shoulda::Matchers.configure do |config|
  config.integrate do |with|
    with.test_framework :rspec
  end
end

if defined?(::ActiveRecord)
  ::Shoulda::Matchers.configure do |config|
    config.integrate do |with|
      with.library :active_record
    end
  end
end

if defined?(::ActiveModel)
  ::Shoulda::Matchers.configure do |config|
    config.integrate do |with|
      with.library :active_model
    end
  end
end

if defined?(::ActionController)
  ::Shoulda::Matchers.configure do |config|
    config.integrate do |with|
      with.library :action_controller
    end
  end
end
