# frozen_string_literal: true

begin
  unless RUBY_VERSION.start_with?('1.8')
    require 'simplecov'

    if ENV['CIRCLE_ARTIFACTS']
      coverage_directory = File.join(ENV['CIRCLE_ARTIFACTS'], 'coverage')

      ::SimpleCov.coverage_dir(coverage_directory)
    end

    ::SimpleCov.start do
      add_filter '/config/'
      add_filter '/spec/'
      add_filter '/test/'
      add_filter '/features/'
      add_filter '/system/'
    end
  end
rescue LoadError
end
