# frozen_string_literal: true

if defined?(::WebMock)
  ::VCR.configure do |config|
    config.hook_into :webmock
  end
end

if defined?(::Faraday)
  ::VCR.configure do |config|
    config.hook_into :faraday
  end
end

::VCR.configure do |config|
  config.ignore_hosts 'lvh.me', 'localhost', '127.0.0.1', '0.0.0.0' # rubocop:disable Style/IpAddresses

  # So that the Code Climate coverage reporter (if installed) can send reports
  # even though VCR is enabled.
  config.ignore_hosts 'codeclimate.com'

  config.cassette_library_dir                    = ::File.expand_path('./tmp/vcr_cassettes')
  config.allow_http_connections_when_no_cassette = true

  config.default_cassette_options                = {
    :record             => :once,
    :re_record_interval => 7_776_000,
  }

  config.configure_rspec_metadata!
end
