# frozen_string_literal: true

::FactoryBot.define do
  sequence(:uuid) do |_n|
    ::SecureRandom.uuid
  end

  sequence(:email) do |n|
    "user#{n}@example.com"
  end

  sequence(:username) do |n|
    "username#{n}"
  end

  sequence(:token) do
    ::SecureRandom.hex(16)
  end

  sequence(:auth_token) do
    ::Base64.strict_encode64(::SecureRandom.hex(32))
  end
end
