# frozen_string_literal: true

require 'rspeckled/plugins/extensions/omniauth/mock_authentications/ebay'
require 'rspeckled/plugins/extensions/omniauth/mock_authentications/facebook'
require 'rspeckled/plugins/extensions/omniauth/mock_authentications/twitter'

::OmniAuth.configure do |config|
  # Setup Mocks for Common Services
  config.mock_auth[:facebook] = ::Rspeckled::OmniAuth::MockAuthentications::Facebook.authentication
  config.mock_auth[:twitter]  = ::Rspeckled::OmniAuth::MockAuthentications::Twitter.authentication
  config.mock_auth[:ebay]     = ::Rspeckled::OmniAuth::MockAuthentications::Ebay.authentication
end
