# frozen_string_literal: true

###
# Shamelessly stolen from http://ariejan.net/2011/09/24/rspec-speed-up-by-tweaking-ruby-garbage-collection/
#
module Rspeckled
module Ruby
class  DeferredGarbageCollection
  THRESHOLD = (ENV['DEFER_GC'] || 20.0).to_f

  @garbage_last_collected_at = nil

  def self.start
    cycle_garbage_collector if enabled?
  end

  def self.reconsider
    return unless enabled? && over_deferrment_threshold?

    cycle_garbage_collector

    self.garbage_last_collected_at = ::Time.now
  end

  def self.cycle_garbage_collector
    ::GC.enable
    ::GC.start
    ::GC.disable
  end

  def self.over_deferrment_threshold?
    time_since_garbage_last_collected >= THRESHOLD
  end

  def self.enabled?
    THRESHOLD.positive?
  end

  def self.time_since_garbage_last_collected
    ::Time.now - garbage_last_collected_at
  end

  def self.garbage_last_collected_at
    @garbage_last_collected_at || ::Time.now
  end

  class << self
    attr_writer :garbage_last_collected_at
  end
end
end
end
