# frozen_string_literal: true

require 'rspeckled/plugins/extensions/vcr/matchers/uri_without_trailing_id'

::VCR.configure do |config|
  config.register_request_matcher :uri_without_trailing_guid do |request, vcr_cassette_request|
    ::Rspeckled::Vcr::Matchers::UriWithoutTrailingId.new(%r(/[a-f0-9\-]{32,36}/?\z)).call(request, vcr_cassette_request)
  end

  config.register_request_matcher :uri_without_trailing_id do |request, vcr_cassette_request|
    ::Rspeckled::Vcr::Matchers::UriWithoutTrailingId.new(%r{/\d+/?\z}).call(request, vcr_cassette_request)
  end
end
