# frozen_string_literal: true

RSpec.configure do |config|
  config.before(:each) do
    config.rspeckled_logger.debug("Before Each  - Start - #{__FILE__}")

    ::Bullet.start_request if ::Bullet.enable?

    config.rspeckled_logger.debug("Before Each  - End   - #{__FILE__}")
  end

  config.after(:each) do
    config.rspeckled_logger.debug("After  Each  - Start - #{__FILE__}")

    if ::Bullet.enable?
      ::Bullet.perform_out_of_channel_notifications if ::Bullet.notification?
      ::Bullet.end_request
    end

    config.rspeckled_logger.debug("After  Each  - End - #{__FILE__}")
  end
end
