# frozen_string_literal: true

RSpec.configure do |config|
  config.around(:each, :file_attachment => true) do |example|
    config.rspeckled_logger.debug("Around Each  - Start - #{__FILE__}")

    previous_carrierwave_processing_mode = subject.class.enable_processing
    previous_carrierwave_storage_mode    = subject.class.storage

    subject.class.enable_processing = true
    subject.class.storage           = :file

    example.run

    subject.class.storage           = previous_carrierwave_storage_mode
    subject.class.enable_processing = previous_carrierwave_processing_mode

    config.rspeckled_logger.debug("Around Each  - End   - #{__FILE__}")
  end
end
