# frozen_string_literal: true

RSpec.configure do |config|
  config.before(:suite) do
    config.rspeckled_logger.debug("Before Suite - Start - #{__FILE__}")

    ::DatabaseCleaner.clean_with(:truncation, :except => %w{ar_internal_metadata})

    config.rspeckled_logger.debug("Before Suite - End   - #{__FILE__}")
  end

  config.around(:each) do |example|
    config.rspeckled_logger.debug("Around Each  - Start - #{__FILE__}")

    ::DatabaseCleaner.strategy = if example.metadata[:js]
                                   [:truncation, :except => %w{ar_internal_metadata}]
                                 else
                                   :transaction
                                 end

    ::DatabaseCleaner.start

    example.run

    ::DatabaseCleaner.clean

    config.rspeckled_logger.debug("Around Each  - End   - #{__FILE__}")
  end
end
