# frozen_string_literal: true

RSpec.configure do |config|
  config.before(:suite) do
    config.rspeckled_logger.debug("Before Suite - Start - #{__FILE__}")

    ::FactoryBot.reload

    load 'rspeckled/plugins/extensions/factory_bot/sequences.rb'

    config.rspeckled_logger.debug("Before Suite - End   - #{__FILE__}")
  end

  config.before(:each) do
    config.rspeckled_logger.debug("Before Each  - Start - #{__FILE__}")

    ::FactoryBot.rewind_sequences if ::FactoryBot.respond_to?(:rewind_sequences)

    config.rspeckled_logger.debug("Before Each  - End   - #{__FILE__}")
  end
end
