# frozen_string_literal: true

require 'rspeckled/plugins/extensions/ruby/deferred_garbage_collection'

RSpec.configure do |config|
  config.before(:all) do
    config.rspeckled_logger.debug("Before All   - Start - #{__FILE__}")

    ::Rspeckled::Ruby::DeferredGarbageCollection.start

    config.rspeckled_logger.debug("Before All   - End   - #{__FILE__}")
  end

  config.after(:all) do
    config.rspeckled_logger.debug("After  All   - Start - #{__FILE__}")

    ::Rspeckled::Ruby::DeferredGarbageCollection.reconsider

    config.rspeckled_logger.debug("After  All   - End   - #{__FILE__}")
  end
end
