# frozen_string_literal: true

RSpec.configure do |config|
  config.around(:each, :debug => true) do |example|
    config.rspeckled_logger.debug("Around Each  - Start - #{__FILE__}")

    debug_rails_logger                        = ::ActiveSupport::TaggedLogging.new(ActiveSupport::Logger.new($stdout))
    debug_rails_logger.level                  = :debug

    current_rails_configuration_logger        = ::Rails.configuration.logger
    current_rails_configuration_logger_level  = ::Rails.configuration.log_level

    current_action_cable_logger               = ::ActionCable.server.config.logger  if defined?(::ActionCable)
    current_action_controller_logger          = ::ActionController::Base.logger     if defined?(::ActionController)
    current_action_mailer_logger              = ::ActionMailer::Base.logger         if defined?(::ActionMailer)
    current_action_view_logger                = ::ActionView::Base.logger           if defined?(::ActionView)
    current_active_job_logger                 = ::ActiveJob::Base.logger            if defined?(::ActiveJob)
    current_active_record_logger              = ::ActiveRecord::Base.logger         if defined?(::ActiveRecord)
    current_active_storage_logger             = ::ActiveStorage.logger              if defined?(::ActiveStorage)
    current_rails_logger                      = ::Rails.logger                      if defined?(::Rails)

    ::Rails.configuration.log_level           = debug_rails_logger.level
    ::Rails.configuration.logger              = debug_rails_logger

    ::ActionCable.server.config.logger        = debug_rails_logger                  if defined?(::ActionCable)
    ::ActionController::Base.logger           = debug_rails_logger                  if defined?(::ActionController)
    ::ActionMailer::Base.logger               = debug_rails_logger                  if defined?(::ActionMailer)
    ::ActionView::Base.logger                 = debug_rails_logger                  if defined?(::ActionView)
    ::ActiveJob::Base.logger                  = debug_rails_logger                  if defined?(::ActiveJob)
    ::ActiveRecord::Base.logger               = debug_rails_logger                  if defined?(::ActiveRecord)
    ::ActiveStorage.logger                    = debug_rails_logger                  if defined?(::ActiveStorage)
    ::Rails.logger                            = debug_rails_logger                  if defined?(::Rails)

    example.run

    ::Rails.configuration.logger              = current_rails_configuration_logger
    ::Rails.configuration.log_level           = current_rails_configuration_logger_level

    ::ActionCable.server.config.logger        = current_action_cable_logger         if defined?(::ActionCable)
    ::ActionController::Base.logger           = current_action_controller_logger    if defined?(::ActionController)
    ::ActionMailer::Base.logger               = current_action_mailer_logger        if defined?(::ActionMailer)
    ::ActionView::Base.logger                 = current_action_view_logger          if defined?(::ActionView)
    ::ActiveJob::Base.logger                  = current_active_job_logger           if defined?(::ActiveJob)
    ::ActiveRecord::Base.logger               = current_active_record_logger        if defined?(::ActiveRecord)
    ::ActiveStorage.logger                    = current_active_storage_logger       if defined?(::ActiveStorage)
    ::Rails.logger                            = current_rails_logger                if defined?(::Rails)

    config.rspeckled_logger.debug("Around Each  - End   - #{__FILE__}") if defined?(config)
  end
end
