# frozen_string_literal: true

RSpec.configure do |config|
  config.before(:each, :cache => lambda { |v| !!v }) do |example|
    config.rspeckled_logger.debug("Before Each  - Start - #{__FILE__}")

    cache_metadata = example.metadata[:cache]

    # rubocop:disable Metrics/BlockNesting
    if cache_metadata[:reset]
      client         = ::Redis.new(:host => '127.0.0.1', :port => 6379, :db => 2) # rubocop:disable Style/IpAddresses
      reset_patterns = Array(cache_metadata[:reset])

      client.keys.each do |key|
        next unless reset_patterns.any? { |regex| key.match?(regex) }

        client.del(key)
      end
    end
    # rubocop:enable Metrics/BlockNesting

    config.rspeckled_logger.debug("Before Each  - End   - #{__FILE__}")
  end
end
