# frozen_string_literal: true

RSpec.configure do |config|
  config.before(:each, :mock_refs => lambda { |v| !!v }) do |example|
    config.rspeckled_logger.debug("Before Each  - Start - #{__FILE__}")

    reference = if example.metadata[:mock_refs].is_a? ::TrueClass
                  'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa'
                else
                  example.metadata[:mock_refs]
                end

    allow(::Referehencible).to receive(:reference_number)
                                 .and_return(reference)

    config.rspeckled_logger.debug("Before Each  - End   - #{__FILE__}")
  end
end
