# frozen_string_literal: true

RSpec.configure do |config|
  config.around(:each, :singletons => lambda { |v| !!v }) do |example|
    config.rspeckled_logger.debug("Around Each  - Start - #{__FILE__}")

    options             = example.metadata[:singletons]
    options             = options.is_a?(::TrueClass) ? described_class : options
    singletons_to_reset = Array(options)

    singletons_to_reset.each do |singleton|
      ::Singleton.__init__(singleton)
    end

    example.run

    singletons_to_reset.each do |singleton|
      ::Singleton.__init__(singleton)
    end

    config.rspeckled_logger.debug("Around Each  - End   - #{__FILE__}")
  end
end
