# frozen_string_literal: true

RSpec.configure do |config|
  config.around(:each, :time_mock => lambda { |v| !!v }) do |example|
    config.rspeckled_logger.debug("Around Each  - Start - #{__FILE__}")

    options   = example.metadata[:time_mock]
    options   = case options
                when ::Time
                  { :time => options }
                when ::FalseClass
                  false
                when ::TrueClass
                  {}
                end

    if options
      mock_type = options.fetch(:type, :freeze)
      time      = options.fetch(:time, ::Time.utc(2012, 7, 26, 18, 0, 0))

      ::Timecop.public_send(mock_type, time)
    else
      ::Timecop.return
    end

    example.run

    ::Timecop.return

    config.rspeckled_logger.debug("Around Each  - End   - #{__FILE__}")
  end
end
