# frozen_string_literal: true

RSpec.configure do |config|
  config.around(:each, :webmock => lambda { |v| !!v }) do |example|
    config.rspeckled_logger.debug("Around Each  - Start - #{__FILE__}")

    options = example.metadata[:webmock]
    options = case options
              when ::TrueClass
                { :allow_localhost => true }
              end

    ::WebMock.disable_net_connect!(options)

    example.run

    ::WebMock.allow_net_connect!

    config.rspeckled_logger.debug("Around Each  - End   - #{__FILE__}")
  end
end
