# frozen_string_literal: true

require 'csv'
require 'fileutils'

module Rspeckled
module Reporting
module Outputs
class  Csv
  FIELDS = %w{
             branch
             commit_hash
             date
             file
             line_number
             status
             exception
             time
             query_count
             query_time
             query_percentage
             request_count
             request_time
             request_percentage
             description
           }.freeze

  attr_accessor :output

  def initialize
    FileUtils.mkdir_p('log')

    self.output = CSV.open('log/rspec_report.csv', 'a').tap { |csv| csv << FIELDS }
  end

  def insert(data)
    output << FIELDS.map do |field|
      data.fetch(field.to_sym)
    end
  end
end
end
end
end
