# frozen_string_literal: true

# These Plugins Must Be Loaded Before Anything Else
require 'rspeckled/plugins/configuration/simple_cov'
require 'rspeckled/plugins/configuration/dox'

require 'rspeckled/reporting'
require 'rspeckled/support'
require 'rspeckled/helpers'
require 'rspeckled/patches'
require 'rspeckled/plugins'

Dir[File.join(Dir.pwd, 'spec', 'shared',  '**', '*_spec.rb')].sort.each { |f| puts "WARNING: You have a shared example file (#{f}) that ends in '_spec'. RSpec will load this twice with a misleading error message if you are explicitly requiring your shared examples (as you should).  See: https://github.com/rspec/rspec-core/issues/828" }
Dir[File.join(Dir.pwd, 'spec', 'support', '**', '*.rb')].sort.each { |f| require f }
